SplFileObject::fflush
SplFileObject::fgetcsv
SplFileObject
PHP Manual

# SplFileObject::fgetc

(PHP 5 >= 5.1.0)

SplFileObject::fgetc — Gets character from file

### Description

public string SplFileObject::fgetc ( void )

Gets a character from the file.

### Parameters

This function has no parameters.

### Return Values

Returns a string containing a single character read from the file or `FALSE` on EOF.

Warning

This function may return Boolean `FALSE`, but may also return a non-Boolean value which evaluates to `FALSE`, such as 0 or "". Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### Examples

Example #1 SplFileObject::fgetc example

`<?php
$file = new SplFileObject('file.txt');
while (false !== ($char = $file->fgetc())) {
echo "$char\n";
}
?>`

### See Also

- SplFileObject::fgets - Gets line from file

SplFileObject::fflush
SplFileObject::fgetcsv
SplFileObject
PHP Manual